package org.gcube.application.cms.plugins.reports;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class Report {

    public static enum Status {
        ERROR,WARNING,OK
    }

    private Status status;
    private List<String> messages;

    public Report putMessage(String msg){
        if(messages==null)messages=new ArrayList<>();
        messages.add(msg);
        return this;
    }
}
