package org.gcube.application.cms.plugins;

import org.gcube.application.cms.plugins.faults.StepException;
import org.gcube.application.cms.plugins.reports.ExecutionReport;
import org.gcube.application.cms.plugins.requests.StepExecutionRequest;
import org.gcube.application.geoportal.common.model.document.ProfiledDocument;
import org.gcube.application.geoportal.common.model.rest.Configuration;
import org.gcube.application.geoportal.common.model.rest.ConfigurationException;


public interface LifecycleManager extends InitializablePlugin{

    // Lifecycle operations

    public ExecutionReport performStep(StepExecutionRequest request)throws StepException;

    public Configuration getCurrentConfiguration() throws ConfigurationException;
}
